Skip to main content
GET
/
v1
/
bundle_items
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/bundle_items/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "dcc01a73-3222-495f-a686-4b54d25bcded",
  "object": "bundle_item",
  "basis_amount": null,
  "quantity": 1,
  "current_version": true,
  "metadata": {},
  "position": 0,
  "bundle_product": "25a61dde-3bdd-4d93-86d7-0c364d6d4e3a",
  "component_product": "98b9ef4c-78dd-4698-a2d4-784c42381436",
  "created_at": 1782485808,
  "updated_at": 1782485808
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

basis_amount
integer | null

Optional relative weighting input (in cents) for this component. Nil uses default weighting by quantity.

quantity
integer

The quantity of this component in the bundle.

position
integer | null

The position of this item within the bundle.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

bundle_product

Expandable – The associated bundle product ID.

component_product

Expandable – The associated component product ID.

current_version
boolean

Whether the returned version is the current one on the bundle item.

component_variants

Expandable – Property not returned unless expanded.

component_variant_options

Expandable – Property not returned unless expanded.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.